<template>
  <div class="dashboard-editor-container">
    <div class="app-container">
      
    </div>
  </div>
</template>

<script>
// import { getStatistics } from "@/api/ticket";
// import PieProgressChart from "./components/PieProgressChart.vue";
// import PieChart1 from "./components/PieChart1.vue";
// import CategoryChat from "./components/CategoryChat.vue";
// import { list } from "@/api/project";
// import VueUeditorWrap from "vue-ueditor-wrap";

export default {
  // components: { PieProgressChart, PieChart1, CategoryChat },
  name: "DashboardAdmin",
  // components: { VueUeditorWrap },
  data() {
    return {};
  },
  created() {
    // this.getProjectList();
    // this.getData();
  },
  methods: {
    getProjectList() {
      list({ current: 1, size: 99999 }).then((res) => {
        this.projectOptions = res.d.records;
      });
    },
    getData() {
      getStatistics({ projectId: this.projectId }).then((res) => {
        this.data = [];
        this.data = res.d;
      });
    },
    handleProjectIdChange() {
      this.getData();
    },
  },
};
</script>

<style lang="scss" scoped>
/* 编辑器高度及背景色 */
::v-deep .ql-editor {
  min-height: 300px;
  background-color: #fff;
}
</style>
